import { HPCCSVGElement, ChangeMap, WebComponent } from "@hpcc-js/wc-core";
import * as d3 from "d3";
export declare class HPCCZoomElement extends HPCCSVGElement {
    /**
     * The minimum scale extent that can be applied to the content
     *
     * @defaultValue 0.5
     */
    scale_min: number;
    /**
     * The maximum scale extent that can be applied to the content
     *
     * @defaultValue 0.5
     */
    scale_max: number;
    /**
     * The current x-position of the content
     *
     * @defaultValue 0
     */
    x: number;
    /**
     * The current y-position of the content
     *
     * @defaultValue 0
     */
    y: number;
    /**
     * The current scale of the content
     *
     * @defaultValue 1
     */
    scale: number;
    protected svg: d3.Selection<SVGSVGElement, any, any, any>;
    _content: SVGGElement;
    protected content: d3.Selection<SVGGElement, any, any, any>;
    _zoom: any;
    constructor();
    enter(): void;
    update(changes: ChangeMap<this>): void;
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            ["hpcc-zoom"]: WebComponent<HPCCZoomElement, "change">;
        }
    }
}
//# sourceMappingURL=zoom.d.ts.map